Manuel PHP
Précédent | Chapitre 2. Installation | Suivant

# Installation sous Mac OS X

Cette section contient les notes et conseils d'installation de PHP sur les distributions Mac OS X.

## Utilisation des packages

Il existe quelques versions pré-packagée et pré-compilées de PHP pour Mac OS X. Ils permettent de réaliser rapidement des installations standard, mais si vous avez des configurations personnelles, (comme un serveur sécurisé SSL ou un pilote de base de données exotique), vous devrez compiler PHP et/ou votre serveur web vous-même. Si vous n'êtes pas familier avec la compilation de vos propres logiciels, il vaut mieux rechercher le package qui pourra répondre à vos besoins.

## Compilation pour serveur OS X

Il existe deux versions légèrement différentes de Mac OS X, client et serveur. Cette installation est faite pour le OS X Serveur.

Exemple 2-4. Installation sous Mac OS X serveur
    1. Téléchargez la dernière version de Apache et PHP
    2. Décompressez puis désarchivez la, puis configurez Apache comme ceci :
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache
    4. Vous aurez peut être besoin d'ajouter ces lignes ci, pour optimiser la
    compilation :
        setenv OPTIM=-O2
    5. Puis, allez dans le dossier source de PHP 4, et configurez le :
        ./configure --prefix=/usr \
        --sysconfdir=/etc \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --with-xml \
        --with-apache=/src/apache_1.3.12
        Si vous avez d'autres composants (MySQL, GD, etc.), n'oubliez pas de les
        ajouter à ce moment la. Pour l'option --with-apache, ajoutez le chemin
        jusqu'au dossier source d'Apache, par exemple "/src/apache_1.3.12".
    6. Exécutez un "make"
    7. Exécutez un "make install"
        Cette commande ajoutera un dossier dans le dossier Apache :
        src/modules/php4.
    8. Maintenant, reconfigurez Apache pour compiler PHP 4.
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache \
        --activate-module=src/modules/php4/libphp4.a
        Vous pouvez rencontrer un message qui vous dira que libmodphp4.a est
        obsolète. Si c'est le cas, allez dans le dossier
        src/modules/php4 de votre dossier Apache et exécutez la commande suivante :
        ranlib libmodphp4.a
        Puis, revenez à la racine de la distribution Apache, et recommencez la
        configuration. Cela aura mis à jour la table de liens.
    9. Exécutez un "make"
    10. Exécutez un "make install"
    11. Copiez et renommez le fichier php.ini-dist de votre distribution PHP 4
        dans votre dossier "bin":
        cp php.ini-dist /usr/local/bin/php.ini
        ou (si vous n'avez pas de dossier local)
        cp php.ini-dist /usr/bin/php.ini

D'autres exemples pour Mac OS X client et Mac OS X server sont disponibles à Stepwise.

## Compilation pour MacOS X client

Ces conseils sont gracieusement fourni par Marc Liyanage.

Le module PHP pour Apache est inclus dans Mac OS X. Cette version inclus le support des bases de données MySQL et PostgreSQL.

NOTE: Soyez prudent avec cette manipulation, vous risquez de mettre votre serveur Apache à terre!

Insctructions :

- 1. Ouvrez un terminal

- 2. Tapez "wget http://www.diax.ch/users/liyanage/software/macosx/libphp4.so.gz", attendez la fin du téléchargement.

- 3. Tapez "gunzip libphp4.so.gz"

- 4. Tapez "sudo apxs -i -a -n php4 libphp4.so"

Maintenant, tapez "`sudo open -a TextEdit /etc/httpd/httpd.conf`" TextEdit ouvrira le fichier de configuration. Recherchez ces deux lignes, vers la fin du fichier (Utilisez la commande Find)

    *    #AddType application/x-httpd-php .php
       *    #AddType application/x-httpd-php-source .phps

Supprimez les deux marques de commentaires (`#`), puis sauvez le fichier, et quittez TextEdit.

Finalement, tapez "`sudo apachectl graceful`" pour redémarrer le serveur Apache.

PHP devrait fonctionner. Vous pouvez le tester en placant un script dans le dossier "Sites". Par exemple, le fichier "test.php", qui contient la simple ligne : "`<?php phpinfo() ?>`".

Ouvrez l'URL `127.0.0.1/~your_username/test.php` dans votre navigateur. Vous obtiendrez le tableau de bord de PHP.

Précédent | Sommaire | Suivant
Installations Unix/OpenBSD | Niveau supérieur | Liste complète des options de configuration